package edu.colorado.profileviewer;

import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;

public class ProfileData implements Serializable {

	private static final long serialVersionUID = 1L;

	private String firstName;
	private String lastName;
	private String email;
	
	public ProfileData() {
		this.firstName = "Ken";
		this.lastName = "Anderson";
		this.email = "kena@cs.colorado.edu";
	}
	
	public ProfileData(String firstName, String lastName, String email) {
		this.firstName = firstName;
		this.lastName = lastName;
		this.email = email;
	}
	
	public String getFirstName() {
		return this.firstName;
	}
	
	public String getLastName() {
		return this.lastName;
	}
	
	public String getEmail() {
		return this.email;
	}
	
	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}

	public void setLastName(String lastName) {
		this.lastName = lastName;
	}

	public void setEmail(String email) {
		this.email = email;
	}
	
	private void readObject(ObjectInputStream stream) throws IOException, ClassNotFoundException {
		this.firstName = (String) stream.readObject();
		this.lastName = (String) stream.readObject();
		this.email = (String) stream.readObject();
	}
	
	private void writeObject(ObjectOutputStream stream) throws IOException {
		stream.writeObject(this.firstName);
		stream.writeObject(this.lastName);
		stream.writeObject(this.email);
	}

}
