package edu.colorado.profileviewer;

import java.io.File;

import android.app.Fragment;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.ViewGroup;
import android.widget.EditText;

public class ProfileDetailFragment extends Fragment {

	private ProfileList profiles = new ProfileList();
	private String name;
	private boolean saveData = true;

	public void onCreate (Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setHasOptionsMenu(true);

		name = getActivity().getIntent().getStringExtra("name");

	}

	public void onResume() {
		super.onResume();
		saveData = true;
		profiles.load(new File(getActivity().getFilesDir(), "profiles.bin"));

		if (name != null) {
			ProfileData data = profiles.getUser(name);

			EditText first_name = (EditText) getActivity().findViewById(R.id.first_name);
			EditText last_name  = (EditText) getActivity().findViewById(R.id.last_name);
			EditText email      = (EditText) getActivity().findViewById(R.id.email);

			first_name.setText(data.getFirstName());
			last_name.setText(data.getLastName());
			email.setText(data.getEmail());

		}

	}

	public void onPause() {
		super.onPause();
		if (saveData) {

			ProfileData data = null;
			
			EditText first_name = (EditText) getActivity().findViewById(R.id.first_name);
			EditText last_name  = (EditText) getActivity().findViewById(R.id.last_name);
			EditText email_field = (EditText) getActivity().findViewById(R.id.email);
			
			String first = first_name.getText().toString();
			String last = last_name.getText().toString();
			String email = email_field.getText().toString();

			if (name != null) {
				profiles.removeUser(name);
			}
			
			name = first + " " + last;
			data = new ProfileData(first, last, email);
			profiles.addUser(name, data);
			
			profiles.save(new File(getActivity().getFilesDir(), "profiles.bin"));
			
		}
	}

	public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
		return inflater.inflate(R.layout.fragment_edit_profile, container, false);
	}

	public void onCreateOptionsMenu(Menu menu, MenuInflater inflater) {
		inflater.inflate(R.menu.fragment_edit_profile, menu);
	}

	public boolean onOptionsItemSelected (MenuItem item) {
		if (item.getItemId() == R.id.menu_ok) {
			saveData = true;
		} else if (item.getItemId() == R.id.menu_cancel) {
			saveData = false;
		}
		getActivity().finish();
		return true;
	}


}
