package edu.colorado.profileviewersql;

import android.app.Activity;
import android.content.ContentValues;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.EditText;

public class EditProfile extends Activity {

	private String name;
	private boolean saveData = true;
	private ProfileDB profileDB = new ProfileDB(this);

	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_edit_profile);
		name = getIntent().getStringExtra("name");

	}

	public boolean onCreateOptionsMenu(Menu menu) {
		getMenuInflater().inflate(R.menu.activity_edit_profile, menu);
		return true;
	}

	public boolean onOptionsItemSelected (MenuItem item) {
		if (item.getItemId() == R.id.menu_ok) {
			saveData = true;
		} else if (item.getItemId() == R.id.menu_cancel) {
			saveData = false;
		}
		finish();
		return true;
	}

	public void onResume() {
		super.onResume();
		saveData = true;

		if (name != null) {

			EditText first_name = (EditText) findViewById(R.id.first_name);
			EditText last_name  = (EditText) findViewById(R.id.last_name);
			EditText email      = (EditText) findViewById(R.id.email);

			SQLiteDatabase db = profileDB.getReadableDatabase();
			Cursor cursor = db.query("profiles", new String[] { "first", "last", "email" }, "profile like ?", new String[] { name }, null, null, "profile");
			while (cursor.moveToNext()) {
				first_name.setText(cursor.getString(0));
				last_name.setText(cursor.getString(1));
				email.setText(cursor.getString(2));
			}
			cursor.close();

		}

	}
	
	public void onPause() {
		super.onPause();
		if (saveData) {

			EditText first_name = (EditText) findViewById(R.id.first_name);
			EditText last_name  = (EditText) findViewById(R.id.last_name);
			EditText email_field = (EditText) findViewById(R.id.email);

			String first = first_name.getText().toString();
			String last = last_name.getText().toString();
			String email = email_field.getText().toString();

			if (name != null) {
				SQLiteDatabase db = profileDB.getWritableDatabase();
				db.delete("profiles", "profile = ?", new String[] { name });
			}

			name = first + " " + last;

			SQLiteDatabase db = profileDB.getWritableDatabase();
			ContentValues values = new ContentValues();
			values.put("profile", name);
			values.put("first", first);
			values.put("last", last);
			values.put("email", email);
			db.insertOrThrow("profiles", null, values);

		}
	}

	@Override
	public void onStop() {
		super.onStop();
		profileDB.close();
	}




}
